{% extends 'base_modal.html.twig' %}

{% block body %}
    <div class="modal fade" id="addSocioModal" tabindex="-1" role="dialog" aria-labelledby="addSocioModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="addSocioModalLabel">Adicionar Sócio</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <label for="cpf">CPF</label>
                        <input type="text" class="form-control" id="cpf" maxlength="11" required>
                    </div>
                    <div class="form-group">
                        <label for="nome">Nome</label>
                        <input type="text" class="form-control" id="nome" maxlength="255" required>
                    </div>
                    <div class="form-group">
                        <label for="empresas">Empresas</label>
                        <select class="selectpicker form-control" data-live-search="true" id="empresas" multiple>
                        </select>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-primary" onclick="add()">Salvar</button>
                </div>
            </div>
        </div>
    </div>
{% endblock %}

{% block scripts %}
    <script type="application/javascript">
        let cpf = $('#cpf');
        let nome = $('#nome');
        let empresas = $('#empresas');

        $.ajax({
            type: 'GET',
            url: '/api/empresas/',
            data: {},
            dataType: 'json',
            success: function (data) {
                let html='';
                for(let empresa of data){
                    html+=`<option value="${empresa.id}">${empresa.nome_fantasia}</option>`;
                }
                empresas.html(html);
                $('.selectpicker').selectpicker('refresh');
            }
        });

        function add(){
            $.ajax({
                type: 'POST',
                url: `/api/socios`,
                data: {
                    cpf: cpf.val().trim(),
                    nome: nome.val().trim(),
                    empresas: empresas.val()
                },
                dataType: 'json',
                success: function () {
                    window.location.reload(true);
                }
            });
        }

        cpf.keypress(function (e) {
            if (e.which !== 8 && e.which !== 0 && (e.which < 48 || e.which > 57)) {
                e.preventDefault();
            }
        });
    </script>
{% endblock %}
